"use strict";
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Spinner = void 0;
const icons_1 = require("@ant-design/icons");
const antd_1 = require("antd");
const react_1 = __importDefault(require("react"));
function Spinner({ size }) {
    return (react_1.default.createElement(antd_1.Spin, { indicator: react_1.default.createElement(icons_1.LoadingOutlined, { style: { fontSize: size ?? 24 }, spin: true }) }));
}
exports.Spinner = Spinner;
//# sourceMappingURL=Spinner.js.map