/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
import * as React from 'react';
import { TabsProps, TabPaneProps } from 'antd';
import { Spacing } from './theme';
/**
 * A Tabs component.
 */
export declare function Tabs({ grow, children, className, localStorageKeyOverride, //set this if you need to have a dynamic number of tabs, you do *not* need to namespace with the plugin name
...baseProps }: {
    grow?: boolean;
    localStorageKeyOverride?: string;
} & TabsProps): JSX.Element;
export declare const Tab: React.FC<TabPaneProps & {
    pad?: Spacing;
    gap?: Spacing;
}>;
//# sourceMappingURL=Tabs.d.ts.map