/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
import React from 'react';
export declare function Toolbar({ children, style, wash, right, }: {
    children?: React.ReactNode;
    position?: 'bottom' | 'top';
    compact?: boolean;
    wash?: boolean;
    style?: React.CSSProperties;
    /**
     * Additional children that are always right-aligned
     */
    right?: React.ReactNode;
}): JSX.Element;
//# sourceMappingURL=Toolbar.d.ts.map