/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
import React from 'react';
import type { DataTableColumn } from './DataTable';
import type { DataTableDispatch } from './DataTableManager';
export declare function FilterIcon({ column, dispatch, }: {
    column: DataTableColumn<any>;
    dispatch: DataTableDispatch;
}): JSX.Element;
export declare const FilterButton: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: React.ElementType<any> | undefined;
} & {
    isActive?: boolean | undefined;
}, React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
//# sourceMappingURL=ColumnFilter.d.ts.map