/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
import { InputRef } from 'antd';
import React from 'react';
import type { DataTableDispatch } from './DataTableManager';
export declare const TableSearch: React.NamedExoticComponent<{
    searchValue: string;
    useRegex: boolean;
    filterSearchHistory: boolean;
    showHistory: boolean;
    showNumbered: boolean;
    dispatch: DataTableDispatch<any>;
    searchHistory: string[];
    extraActions?: React.ReactElement<any, string | React.JSXElementConstructor<any>> | undefined;
    contextMenu: undefined | (() => JSX.Element);
    searchInputRef?: React.MutableRefObject<InputRef> | undefined;
}>;
//# sourceMappingURL=TableSearch.d.ts.map