"use strict";
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.stubLogger = void 0;
exports.stubLogger = {
    track() { },
    trackTimeSince() { },
    info() {
        // eslint-disable-next-line
        console.log.apply(console, arguments);
    },
    warn() {
        // eslint-disable-next-line
        console.warn.apply(console, arguments);
    },
    error() {
        // eslint-disable-next-line
        console.error.apply(console, arguments);
    },
    debug() {
        // eslint-disable-next-line
        console.debug.apply(console, arguments);
    },
};
//# sourceMappingURL=Logger.js.map