/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
/// <reference types="react" />
import { Logger } from 'flipper-common';
export declare const _LoggerContext: import("react").Context<Logger>;
/**
 * Provides the default logger that can be used for console logging,
 * error reporting and performance measurements.
 * In internal Facebook builds this is wired up to the internal statistic reporting.
 * Prefer using `logger` over using `console` directly.
 */
export declare function useLogger(): Logger;
//# sourceMappingURL=useLogger.d.ts.map