"use strict";
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.setFlipperLibImplementation = exports.getFlipperLib = exports.tryGetFlipperLibImplementation = exports.flipperLibInstance = void 0;
function tryGetFlipperLibImplementation() {
    return exports.flipperLibInstance;
}
exports.tryGetFlipperLibImplementation = tryGetFlipperLibImplementation;
function getFlipperLib() {
    if (!exports.flipperLibInstance) {
        throw new Error('Flipper lib not instantiated');
    }
    return exports.flipperLibInstance;
}
exports.getFlipperLib = getFlipperLib;
function setFlipperLibImplementation(impl) {
    exports.flipperLibInstance = impl;
}
exports.setFlipperLibImplementation = setFlipperLibImplementation;
//# sourceMappingURL=FlipperLib.js.map