/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
import React from 'react';
import { SandyPluginInstance } from './Plugin';
import { SandyDevicePluginInstance } from './DevicePlugin';
type Props = {
    plugin: SandyPluginInstance | SandyDevicePluginInstance;
};
/**
 * Component to render a Sandy plugin container
 */
export declare const SandyPluginRenderer: React.MemoExoticComponent<({ plugin }: Props) => JSX.Element>;
export {};
//# sourceMappingURL=PluginRenderer.d.ts.map