/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
import React from 'react';
type PowerSearchAbsoluteTermProps = {
    onCancel: () => void;
    onChange: (value: Date) => void;
    dateOnly?: boolean;
    minValue?: Date;
    maxValue?: Date;
    defaultValue?: Date;
};
export declare const DATE_ONLY_FORMAT = "YYYY-MM-DD";
export declare const DATE_TIME_FORMAT = "YYYY-MM-DD HH:mm:ss";
export declare const PowerSearchAbsoluteDateTerm: React.FC<PowerSearchAbsoluteTermProps>;
export {};
//# sourceMappingURL=PowerSearchAbsoluteDateTerm.d.ts.map