/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
import { Component, ReactNode } from 'react';
type TimePoint = {
    moment: number;
    display: string;
    color: string;
    key: string;
    properties?: any;
};
type Timeline = {
    time: TimePoint[];
    current: string;
};
type Props = {
    canSetCurrent?: boolean;
    timeline: Timeline;
    onClick?: (selected: string) => void;
};
type State = {
    selected: string;
};
export declare class TimelineDataDescription extends Component<Props, State> {
    constructor(props: Props);
    render(): ReactNode;
}
export {};
//# sourceMappingURL=TimelineDataDescription.d.ts.map