/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
import { DataTableDispatch, Selection } from './DataTableWithPowerSearchManager';
import React from 'react';
import { DataTableColumn } from './DataTableWithPowerSearch';
import { DataSourceView } from '../../data-source/index';
export declare function tableContextMenuFactory<T extends object>(dataView: DataSourceView<T, T[keyof T]>, dispatch: DataTableDispatch<T>, selection: Selection, columns: DataTableColumn<T>[], visibleColumns: DataTableColumn<T>[], onCopyRows?: (rows: T[], visibleColumns: DataTableColumn<T>[]) => string, onContextMenu?: (selection: undefined | T) => React.ReactElement, sideBySideOption?: React.ReactElement): JSX.Element;
//# sourceMappingURL=PowerSearchTableContextMenu.d.ts.map