/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
import React from 'react';
import type { DataTableColumn } from './DataTable';
import { Sorting, DataTableDispatch } from './DataTableManager';
export declare const TableHead: React.NamedExoticComponent<{
    dispatch: DataTableDispatch<any>;
    visibleColumns: DataTableColumn<any>[];
    sorting: Sorting | undefined;
    scrollbarSize: number;
    isFilterable?: boolean | undefined;
}>;
//# sourceMappingURL=TableHead.d.ts.map