/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
/**
 * This hook will throw in development builds if the value passed in is unstable.
 * Use this if to make sure consumers aren't creating or changing certain props over time
 * (intentionally or accidentally)
 */
export declare const useAssertStableRef: (value: any, prop: string) => void;
//# sourceMappingURL=useAssertStableRef.d.ts.map