"use strict";
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.useInUnitTest = void 0;
const flipper_common_1 = require("flipper-common");
/**
 * Check if we are currently running a unit test.
 * Use this hook to disable certain functionality that is probably not going to work as expected in the JSDom implementaiton
 */
function useInUnitTest() {
    return (0, flipper_common_1.isTest)();
}
exports.useInUnitTest = useInUnitTest;
//# sourceMappingURL=useInUnitTest.js.map