/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
/**
 * Creates a ref object that is always synced from the value passed in.
 */
export declare function useLatestRef<T>(latest: T): {
    readonly current: T;
};
//# sourceMappingURL=useLatestRef.d.ts.map