/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
export declare function useLocalStorageState<T>(key: string, initialValue: (() => T) | T): [T, (newState: T | ((current: T) => T)) => void];
//# sourceMappingURL=useLocalStorageState.d.ts.map